import pygame
from pygame.locals import *

import tools

class Player(pygame.sprite.Sprite):
    speed = 5
    frame = 0
    animecycle = 24

    def __init__(self, pos):
        pygame.sprite.Sprite.__init__(self)
        self.images = tools.split_image(tools.load_image("data", "rabipple.png"), 2, 2)
        self.image = self.images[0]
        # 画像のRect値を取得
        self.rect = self.image.get_rect()
        self.rect.center = pos
        self.direction = 0

    def update(self):
        self.frame += 1
        self.image = self.images[(self.direction * 2) + int(self.frame / self.animecycle % 2)]
        pressed_keys = pygame.key.get_pressed()
        if pressed_keys[K_LEFT]:
            self.frame += 1
            self.direction = 0
            self.rect.move_ip(-self.speed, 0)
        if pressed_keys[K_RIGHT]:
            self.frame += 1
            self.direction = 1
            self.rect.move_ip(self.speed, 0)
        if pressed_keys[K_UP]:
            self.frame += 1
            self.rect.move_ip(0, -self.speed)
        if pressed_keys[K_DOWN]:
            self.frame += 1
            self.rect.move_ip(0, self.speed)
        # 画面の外に出ないようにする
        self.rect.clamp_ip(Rect(0, 0, 640, 480))

    def draw(self, screen):
        screen.blit(self.image, self.rect)
